Package org.codehaus.groovy.ast

# Class AstToTextHelper

java.lang.Object
org.codehaus.groovy.ast.AstToTextHelper

public class AstToTextHelper extends Object
Helper class for converting AST into text.

Author:
  Hamlet D'Arcy

## Constructor Summary

Constructors
Constructor
Description
`AstToTextHelper()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getClassText(ClassNode node)`
`static String`
`getModifiersText(int modifiers)`
`static String`
`getParametersText(Parameter[] parameters)`
`static String`
`getParameterText(Parameter node)`
`static String`
`getThrowsClauseText(ClassNode[] exceptions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AstToTextHelper

public AstToTextHelper()

## Method Details

### getClassText

public static String getClassText(ClassNode node)

### getParameterText

public static String getParameterText(Parameter node)

### getParametersText

public static String getParametersText(Parameter[] parameters)

### getThrowsClauseText

public static String getThrowsClauseText(ClassNode[] exceptions)

### getModifiersText

public static String getModifiersText(int modifiers)